## chromium 137.0.7151.119

=== debian/changelog ===
chromium (137.0.7151.119-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-6191: Integer overflow in V8. Reported by Shaheen Fazim.
    - CVE-2025-6192: Use after free in Profiler.
      Reported by Chaoyuan Peng (@ret2happy).
  * Include libtest_trace_processor.so in chromium-shell package.
    (closes: #1107837).
  * d/patches:
    - fixes/armhf-icf.patch: add workaround for build failure on armhf
      (thanks Daniel Richard G!).

 -- Andres Salomon <dilinger@debian.org>  Tue, 17 Jun 2025 19:12:16 -0400

chromium (137.0.7151.103-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-5958: Use after free in Media.
      Reported by Huang Xilin of Ant Group Light-Year Security Lab.
    - CVE-2025-5959: Type Confusion in V8.
      Reported by Seunghyun Lee as part of TyphoonPWN 2025.
  * Add build-dep on libc++-19-dev and switch to building statically
    against clang's libc++ (instead of gcc's libstdc++).
  * d/patches:
    - fixes/absl-optional.patch: drop, only needed for libstdc++.
    - fixes/font-gc-asan.patch: drop, only needed for libstdc++.
    - fixes/stdatomic.patch: drop, only needed for libstdc++.
    - fixes/make-pair.patch: drop, only needed for libstdc++.
    - bookworm/constflatset.patch: drop, only needed for libstdc++.
    - bookworm/constexpr3.patch: drop, only needed for libstdc++.
    - bookworm/foreach.patch: add patch from bookworm branch to fix
      clang-19 build failure.

 -- Andres Salomon <dilinger@debian.org>  Tue, 10 Jun 2025 15:08:42 -0400

chromium (137.0.7151.68-1) unstable; urgency=high

  [ Andres Salomon]
  * New upstream security release.
    - CVE-2025-5419: Out of bounds read and write in V8. Reported by
      Clement Lecigne and Benoît Sevens of Google Threat Analysis Group.
    - CVE-2025-5068: Use after free in Blink. Reported by Walkman.

  [ Jianfeng Liu ]
  * d/patches/ppc64le: merge ppc64le sandbox syscall patches

 -- Andres Salomon <dilinger@debian.org>  Tue, 03 Jun 2025 12:23:46 -0400

chromium (137.0.7151.55-3) unstable; urgency=high

  [ Timothy Pearson ]
  * Fix FTBFS on ppc64el due to third party xnnpack library
  * d/patches/ppc64le:
    - third_party/0001-add-xnn-ppc64el-support.patch: Add ppc64el support to
      xnn build system
    - third_party/0002-regenerate-xnn-buildgn.patch: Regenerate xnn BUILD.gn
      file

 -- Andres Salomon <dilinger@debian.org>  Wed, 28 May 2025 18:47:40 -0400

chromium (136.0.7103.113-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-4664: Insufficient policy enforcement in Loader.
      Source: X post from @slonser_.
    - CVE-2025-4609: Incorrect handle provided in unspecified circumstances
      in Mojo. Reported by Micky.

 -- Andres Salomon <dilinger@debian.org>  Wed, 14 May 2025 14:41:31 -0400

chromium (136.0.7103.92-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
   - CVE-2025-4372: Use after free in WebAudio.
      Reported by Huang Xilin of Ant Group Light-Year Security Lab.
  * Drop yasm build-dep; upstream switched to nasm about 5 years ago
    (closes: #1104218).

  [ Daniel Richard G. ]
  * d/patches/fixes/armhf-no-thumb.patch: Fix armhf FTBFS due to use of a
    Rust target (thumbv7neon) that Debian does not ship.

 -- Andres Salomon <dilinger@debian.org>  Tue, 06 May 2025 14:13:50 -0400

chromium (136.0.7103.59-2) unstable; urgency=high

  * Delete third_party/jetstream due to non-free ("do no evil") license.

 -- Andres Salomon <dilinger@debian.org>  Wed, 30 Apr 2025 17:38:38 -0400

chromium (136.0.7103.59-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2025-4096: Heap buffer overflow in HTML. Reported by Anonymous.
    - CVE-2025-4050: Out of bounds memory access in DevTools.
      Reported by Anonymous.
    - CVE-2025-4051: Insufficient data validation in DevTools.
      Reported by Daniel Fröjdendahl.
    - CVE-2025-4052: Inappropriate implementation in DevTools.
      Reported by vanillawebdev.
  * d/rules: disable warning-suppression-mappings; llvm too old.
  * d/control: drop libevent-dev build-dep, no longer used.
  * d/scripts/unbundle:
    - libavif no longer used, no need to specify bundling.
    - bundle simdutf, which isn't packaged for debian.
  * d/patches:
    - fixes/pipewire14.patch: drop, merged upstream.
    - disable/catapult.patch: refresh.
    - disable/buildtools-libc.patch: rework patch to be easier to maintain.
    - bookworm/gn-revert-path-exists.patch: update for a bunch of new
      path_exists() users.
    - disable/node-version-ck.patch: add patch to disable upstream's strict
      nodejs version check.
    - fixes/media-cstdint.patch: add missing header include.
    - upstream/media-optional.patch: add missing header include.
    - fixes/perfetto-nullptr.patch: add nullptr_t std qualification.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/0001-third_party-lss-Don-t-look-for-mmap2-on-ppc64.patch:
      drop due to upstream fixes
    - third_party/0002-third_party-lss-kernel-structs.patch: refresh for
      upstream changes
    - breakpad/0001-Implement-support-for-ppc64-on-Linux.patch: refresh for
      upstream changes
    - core/cargo-add-ppc64.diff: drop due to upstream fixes

 -- Andres Salomon <dilinger@debian.org>  Tue, 29 Apr 2025 17:21:56 -0400

chromium (135.0.7049.95-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-3619: Heap buffer overflow in Codecs. Reported by Elias Hohl.
    - CVE-2025-3620: Use after free in USB. Reported by @retsew0x01.

  [ Daniel Richard G. ]
  * d/copyright, d/patches/system/rapidjson.patch: Slightly narrow the scope
    of the bundled RapidJSON deletion, and rework this patch so that it does
    not require the deletion in order to apply. This allows applying the
    debianization directly to the unrepackaged upstream tarball source.

