## chromium 138.0.7204.49~linuxmint1+faye

=== debian/changelog ===
chromium (138.0.7204.49~linuxmint1+faye) unstable; urgency=medium

  * 138.0.7204.49

 -- Linux Mint <root@linuxmint.com>  Tue, 24 Jun 2025 19:09:17 +0100

chromium (137.0.7151.119~linuxmint1) unstable; urgency=medium

  * 137.0.7151.119

 -- Linux Mint <root@linuxmint.com>  Tue, 17 Jun 2025 18:18:15 +0100
