## chromium 138.0.7204.49~linuxmint1+virginia

=== debian/changelog ===
chromium (138.0.7204.49~linuxmint1+virginia) unstable; urgency=medium

  * 138.0.7204.49

 -- Linux Mint <root@linuxmint.com>  Tue, 24 Jun 2025 19:09:17 +0100
