=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Andres Salomon <dilinger@debian.org>,
  Timothy Pearson <tpearson@raptorengineering.com>,
+ Daniel Richard G. <skunk@iSKUNK.ORG>,
 Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
 Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
 Homepage: http://www.chromium.org/Home
@@ -18,17 +19,19 @@
  clang-format-19:native,
  libclang-rt-19-dev,
  libc++-19-dev,
- rustc:any (>= 1.74),
- libstd-rust-dev (>= 1.74) <cross>,
+ rustc-web:any (>= 1.74),
+ libstd-rust-dev (>= 1.74),
  bindgen:native,
  python3:any,
  pkgconf,
  ninja-build,
  python3-jinja2:native,
+ python3-pkg-resources,
  ca-certificates,
  elfutils,
  wget,
  flex,
+ yasm,
  xvfb,
  wdiff,
  gperf,
@@ -68,7 +71,7 @@
  libopus-dev,
  libxtst-dev,
  libjpeg-dev,
- libxml2-dev (>= 2.12),
+ libxml2-dev (<< 2.10),
  libgtk-3-dev,
  libxslt1-dev,
  liblcms2-dev,
@@ -95,7 +98,7 @@
  libzstd-dev,
  fonts-ipafont-gothic,
  fonts-ipafont-mincho,
- qemu-user <cross>,
+ cross-exe-wrapper <cross>,
 Build-Conflicts:
  bindgen-0.56,
  bindgen-0.65,
@@ -107,7 +110,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libgtk-3-0t64 | xdg-desktop-portal-backend,
+ libgtk-3-0 | xdg-desktop-portal-backend,
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
