## chromium 138.0.7204.92

=== debian/changelog ===
chromium (138.0.7204.92-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-6554: Type Confusion in V8. Reported by
      Clément Lecigne of Google's Threat Analysis Group.
  * Add lintian override for embedded libjsoncpp in
    libtest_trace_processor.so.
  * Drop the text about extensions from d/presubj, and instead ask bug
    reporters to include output from chrome://gpu which is super useful.

 -- Andres Salomon <dilinger@debian.org>  Tue, 01 Jul 2025 13:17:05 -0400

chromium (138.0.7204.49-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2025-6555: Use after free in Animation.
      Reported by Lyra Rebane (rebane2001).
    - CVE-2025-6556: Insufficient policy enforcement in Loader.
      Reported by Shaheen Fazim.
    - CVE-2025-6557: Insufficient data validation in DevTools.
      Reported by Ameen Basha M K.
  * d/rules: drop enable_reading_list=false, as Reading List is now
    supported for all architectures.
  * d/patches:
    - upstream/arm32-crel.patch: drop, merged upstream.
    - upstream/cross-build-target.patch: drop, merged upstream.
    - upstream/span-fwd.patch: drop, merged upstream.
    - upstream/mojo-optional.patch: drop, merged upstream.
    - upstream/opener-heur.patch: drop, merged upstream.
    - upstream/allowed-state.patch: drop, merged upstream.
    - upstream/pdfium-libpng.patch: drop, merged upstream.
    - upstream/safety-hub-set.patch: drop, merged upstream.
    - fixes/media-cstdint.patch: drop, merged upstream.
    - debianization/clang-version.patch: refresh.
    - fixes/bindgen.patch: refresh.
    - fixes/armhf-icf.patch: refresh.
    - disable/catapult.patch: refresh.
    - disable/google-api-warning.patch: refresh.
    - disable/buildtools-libc.patch: refresh.
    - bookworm/clang19.patch: drop part of patch.
    - fixes/memory-allocator-dcheck-assert-fix.patch: update for renamed
      config variable kMaxBucketed.
    - disable/node-version-ck.patch: disable nodejs version check in
      protobuf.

  [ Daniel Richard G. ]
  * d/rules: Rearrange DEB_BUILD_MAINT_OPTIONS assignments to avoid
    "argument unused" warnings on armhf due to -fstack-clash-protection.
  * d/control, d/rules: Apply cross-build feedback from Helmut Grohne.
  * d/control: Add myself to Uploaders:, with Andres's blessing of course :)

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/0001-Add-PPC64-support-for-boringssl.patch: Refresh for
      upstream changes
    - third_party/0002-regenerate-xnn-buildgn.patch: Refresh for upstream
      changes

 -- Andres Salomon <dilinger@debian.org>  Tue, 24 Jun 2025 16:01:10 -0400
