=== debian/control ===
--- 
+++ 
@@ -19,19 +19,17 @@
  clang-format-19:native,
  libclang-rt-19-dev,
  libc++-19-dev,
- rustc-web:any (>= 1.74),
+ rustc:any (>= 1.74),
  libstd-rust-dev (>= 1.74),
  bindgen:native,
  python3:any,
  pkgconf,
  ninja-build,
  python3-jinja2:native,
- python3-pkg-resources,
  ca-certificates,
  elfutils,
  wget,
  flex,
- yasm,
  xvfb,
  wdiff,
  gperf,
@@ -71,7 +69,7 @@
  libopus-dev,
  libxtst-dev,
  libjpeg-dev,
- libxml2-dev (<< 2.10),
+ libxml2-dev (>= 2.12),
  libgtk-3-dev,
  libxslt1-dev,
  liblcms2-dev,
@@ -110,7 +108,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libgtk-3-0 | xdg-desktop-portal-backend,
+ libgtk-3-0t64 | xdg-desktop-portal-backend,
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
