## chromium 138.0.7204.100~linuxmint1+faye

=== debian/changelog ===
chromium (138.0.7204.100~linuxmint1+faye) unstable; urgency=medium

  * 138.0.7204.100

 -- Linux Mint <root@linuxmint.com>  Tue, 08 Jul 2025 18:04:16 +0100

chromium (138.0.7204.92~linuxmint1) unstable; urgency=medium

  * 138.0.7204.92

 -- Linux Mint <root@linuxmint.com>  Mon, 30 Jun 2025 22:25:40 +0100

chromium (138.0.7204.49~linuxmint1) unstable; urgency=medium

  * 138.0.7204.49

 -- Linux Mint <root@linuxmint.com>  Tue, 24 Jun 2025 19:09:17 +0100
