## chromium 138.0.7204.168~linuxmint1+faye

=== debian/changelog ===
chromium (138.0.7204.168~linuxmint1+faye) unstable; urgency=medium

  * 138.0.7204.168

 -- Linux Mint <root@linuxmint.com>  Tue, 22 Jul 2025 21:19:16 +0100

chromium (138.0.7204.157~linuxmint1) unstable; urgency=medium

  * 138.0.7204.157

 -- Linux Mint <root@linuxmint.com>  Tue, 15 Jul 2025 18:21:16 +0100
