## chromium 138.0.7204.168

=== debian/changelog ===
chromium (138.0.7204.168-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-8010: Type Confusion in V8. Reported by Shaheen Fazim.
    - CVE-2025-8011: Type Confusion in V8. Reported by Shaheen Fazim.
  * d/patches/ppc64le/sandbox:
    - 0001-sandbox-linux-Update-syscall-helpers-lists-for-ppc64.patch:
      refresh.

 -- Andres Salomon <dilinger@debian.org>  Tue, 15 Jul 2025 15:35:02 -0400
