## chromium 138.0.7204.183

=== debian/changelog ===
chromium (138.0.7204.183-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-8292: Use after free in Media Stream.

 -- Andres Salomon <dilinger@debian.org>  Tue, 29 Jul 2025 18:59:44 -0400
