## chromium 139.0.7258.66~linuxmint1+faye

=== debian/changelog ===
chromium (139.0.7258.66~linuxmint1+faye) unstable; urgency=medium

  * 139.0.7258.66

 -- Linux Mint <root@linuxmint.com>  Tue, 05 Aug 2025 19:32:16 +0100

chromium (138.0.7204.183~linuxmint1) unstable; urgency=medium

  * 138.0.7204.183

 -- Linux Mint <root@linuxmint.com>  Tue, 29 Jul 2025 21:33:16 +0100

chromium (138.0.7204.168~linuxmint1) unstable; urgency=medium

  * 138.0.7204.168

 -- Linux Mint <root@linuxmint.com>  Tue, 22 Jul 2025 21:19:16 +0100
