## chromium 139.0.7258.66

=== debian/changelog ===
chromium (139.0.7258.66-1.1deepin1) unstable; urgency=medium

  FTBFS fix for crimson:
  * d/patches/bookworm: pick from upstream for FTBFS fix on crimson.
    - libxml-patcherr.patch: reverted (renamed back to fixes/libxml-patcherr.patch)
    - eslint.patch
    - node18-import.patch
    - derivre-create.patch: enable rust unstable features globally
    - rust-visibility.patch: old rust version workaround
    - gn-hpp11.patch
  * d/patches:
    - fixes/rust-icu-enable-fp-arithmetic.patch: enable float point arithmetic
    feature for rust icu lib to fix FTBFS.
  * d/patches/riscv64: Add riscv64 support.
    - unban-clang-selection.patch: we are using our clang that supports riscv64,
      remove upstream restriction. (this patch might upstreamable)
    - compiler-rt.patch: LTO support.
  * d/rules: add a roughly check on riscv64 if mem avail GB >= thread number,
    then enable LTO.

 -- Alex Rain <conrst3949@outlook.com>  Mon, 11 Aug 2025 03:18:54 +0800

chromium (139.0.7258.66-1) unstable; urgency=high

  * New upstream stable release.
    - CVE-2025-8576: Use after free in Extensions. Reported by asnine.
    - CVE-2025-8577: Inappropriate implementation in Picture In Picture.
      Reported by Umar Farooq.
    - CVE-2025-8578: Use after free in Cast. Reported by Fayez.
    - CVE-2025-8579: Inappropriate implementation in Gemini Live in
      Chrome. Reported by Alesandro Ortiz.
    - CVE-2025-8580: Inappropriate implementation in Filesystems.
      Reported by Huuuuu.
    - CVE-2025-8581: Inappropriate implementation in Extensions.
      Reported by Vincent Dragnea.
    - CVE-2025-8582: Insufficient validation of untrusted input in DOM.
      Reported by Anonymous.
    - CVE-2025-8583: Inappropriate implementation in Permissions.
      Reported by Shaheen Fazim.
  * d/copyright: delete third_party/enterprise_companion, as it includes
    a binary.
  * d/control: Replace elfutils build-dep with llvm-19 for switch to
    llvm-strip.
  * d/rules:
    - drop enable_nacl=false; upstream removed NaCL.
    - set enable_enterprise_companion=false.
    - disable Gemini AI (enable_glic=false).
  * d/patches:
    - disable/catapult.patch: refresh.
    - disable/buildtools-libc.patch: refresh.
    - system/eu-strip.patch: drop, upstream switched to llvm-strip.
    - bookworm/gn-revert-path-exists.patch: refresh & drop unused part.
    - ungoogled/disable-privacy-sandbox.patch: refresh.
    - fixes/bindgen.patch: rename to bookworm/bindgen.patch, since trixie
      now has a newer bindgen.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - sandbox/0001-sandbox-linux-Update-syscall-helpers-lists-for-ppc64.patch:
      Refresh for upstream changes
    - sandbox/0009-sandbox-updates-138.patch: Properly handle IPC and send
      syscalls
    - third_party/0001-add-xnn-ppc64el-support.patch: Refresh for upstream
      changes
    - third_party/0002-regenerate-xnn-buildgn.patch: Regenerate from upstream
      sources
    - third_party/skia-vsx-instructions.patch: Refresh for upstream changes
    - fixes/fix-partition-alloc-compile.patch: Refresh for upstream changes

 -- Andres Salomon <dilinger@debian.org>  Tue, 05 Aug 2025 17:48:13 -0400

chromium (138.0.7204.183-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-8292: Use after free in Media Stream.

 -- Andres Salomon <dilinger@debian.org>  Tue, 29 Jul 2025 18:59:44 -0400

chromium (138.0.7204.168-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-8010: Type Confusion in V8. Reported by Shaheen Fazim.
    - CVE-2025-8011: Type Confusion in V8. Reported by Shaheen Fazim.
  * d/patches/ppc64le/sandbox:
    - 0001-sandbox-linux-Update-syscall-helpers-lists-for-ppc64.patch:
      refresh.

 -- Andres Salomon <dilinger@debian.org>  Thu, 24 Jul 2025 13:43:34 -0400

chromium (138.0.7204.157-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-7656: Integer overflow in V8. Reported by Shaheen Fazim.
    - CVE-2025-6558: Incorrect validation of untrusted input in ANGLE and
      GPU. Reported by Clément Lecigne and Vlad Stolyarov of Google's
      Threat Analysis Group.
    - CVE-2025-7657: Use after free in WebRTC. Reported by jakebiles.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - fixes/fix-page-allocator-overflow.patch: add to fix sporadic
      partition allocator failures on ppc64el systems.
    - third_party/use-sysconf-page-size-on-ppc64.patch: drop, no longer
      needed.

 -- Andres Salomon <dilinger@debian.org>  Tue, 15 Jul 2025 15:35:02 -0400
