=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 Build-Depends:
  debhelper (>= 11),
  devscripts,
+ llvm-19:native,
  lld-19:native,
  clang-19:native,
  clang-format-19:native,
@@ -27,7 +28,6 @@
  ninja-build,
  python3-jinja2:native,
  ca-certificates,
- elfutils,
  wget,
  flex,
  xvfb,
@@ -69,7 +69,7 @@
  libopus-dev,
  libxtst-dev,
  libjpeg-dev,
- libxml2-dev (>= 2.12),
+ libxml2-dev (<< 2.10),
  libgtk-3-dev,
  libxslt1-dev,
  liblcms2-dev,
@@ -103,7 +103,7 @@
  rustc-1.74,
 
 Package: chromium
-Architecture: i386 amd64 arm64 armhf ppc64el
+Architecture: i386 amd64 arm64 armhf ppc64el riscv64
 Built-Using: ${Built-Using}
 Depends:
  ${misc:Depends},
@@ -148,7 +148,7 @@
  ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW
 
 Package: chromium-shell
-Architecture: i386 amd64 arm64 armhf ppc64el
+Architecture: i386 amd64 arm64 armhf ppc64el riscv64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -165,7 +165,7 @@
  (the content shell).
 
 Package: chromium-headless-shell
-Architecture: i386 amd64 arm64 armhf ppc64el
+Architecture: i386 amd64 arm64 armhf ppc64el riscv64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -179,7 +179,7 @@
  equivalent to the 'chromium --headless=old' option that was removed.
 
 Package: chromium-driver
-Architecture: i386 amd64 arm64 armhf ppc64el
+Architecture: i386 amd64 arm64 armhf ppc64el riscv64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -192,7 +192,7 @@
  automatic webdriver.
 
 Package: chromium-common
-Architecture: i386 amd64 arm64 armhf ppc64el
+Architecture: i386 amd64 arm64 armhf ppc64el riscv64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -218,7 +218,7 @@
  packages.
 
 Package: chromium-sandbox
-Architecture: i386 amd64 arm64 armhf ppc64el
+Architecture: i386 amd64 arm64 armhf ppc64el riscv64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
